타운광장토픽게시판

라이믹스 2.0.1 버전이 출시되었지만 아직 1.9.9.9 버전 사용하시는 분들이 보이네요. 제가 라이믹스 개발팀인건 아니지만(한때 XE 개발팀이였긴 했습니다 ㅎ) 업그레이드 미실시 사유와 이후 패치 반영 여부가 궁금해 투표를 진행해 봅니다.

 

  • profile

    서비스에서 뺄수 없는 유지보수 되는 자료 조차도 아직 2.0 미대응으로 2.0 사용 못하는 것 뿐 아니라 무료 자료들에서도 2.0 변경사항으로 동작 불가 들이 확인된게 있고 많은 자료 사용으로 이상유뮤 확인 후 폐기 여부 결정하는데 오래 걸릴 것 같습니디.

  • profile
    설문에 반영되지 않은 글쓰기 기능만 있는 블로그는 2.0 사용중 입니다.
  • profile

    아마 라이믹스에서 2.0으로 넘어가면서 가장 핵심 적인 부분이 코어상에서 바뀐게 있는데 서드파티에 영향을 많이 주는 기능이 아마 DB확장기능 업데이트가 아닐까 싶습니다.

    1. 유지보수가안되고, 암호화된 서드파티가 사이트의 핵심기능으로 자리 매김하는 자료가 있는 상황에서 디비의 호출을 그냥 막 하는 경우때문에 발생되는 버그 처리 문제가 있습니다.

    이 경우엔 라이믹스를 대응 하는 코드를 넣어줄때까지 기다리거나 누군가가 총대 매고 수정해주길 원하거나 해야하는데 유료자료라서 라이선스 위반이 될 수 있죠. (이런 자료는 사실 과감히 버릴 수 있으면 좋겠지만 그 만한대응자료가 부족한것도 현실입니다)

    이런 부분은 차차 라이믹스가 대응할 수 있도록 코어팀에서 몇몇 서드파티를 출시할 수도 있겠습니다? (feat. 모바일 알림을 코어에 추가했었죠. 이를 이용하여 만든 서드파티 모바일 앱이 생긴다면?ㅎㅎ)

    2. 불가피하게 코어를 강제적으로 수정하여 사용하는 사람들의 영향도 있습니다.

    예를들어 회원가입시 특정 확장변수에 입력된 값을 검사해야하는 사람이라던지 이런 부분이 있는데, 그 값들이 사이트마다 다 다르고 운영진마다 다 다르니 그것을 재대로 지원해줄수 있는 자료가 사실상 없습니다.

    이는 어떤 CMS나 마찬가지라고 생각합니다.

    사이트마다 특성이 다 다르고 그러다보니 코어수정시 한줄만 수정하면 되거나 그런것을 좀 복잡하게 수정해야하는 운영진 입장에서 그 부분을 좀 살려보겠다고 자잘자잘하게 수정한 코어파일들이 발목을 잡는경우가 은근히 많습니다.

    이런 경우 git을 할줄 알면 그리고 컴페어 과정 혹은 pull하는과정에서 오류만 살짝 고칠줄 아는 사람이라면 깃으로 2.0.1을 계쏙 유지하겠지만 그렇지 못한 운영진들이 훨신 더 많다는것이죠.

    이런 부분은 운영진 스스로가 하나하나씩 공부해나갔으면 좋을 것 같다는 생각이 듭니다!

    괜시레 수정한 코어파일때문에 발목을 잡기보단 꾸준히 업데이트를 통해서 보안적인 부분을 좀 더 탄탄하게 할 필요가 있겠습니다.

    그리고 기타 등등의 다양한 이유 (귀차니즘 등등) 이 있지만 제 능력에서는 이런 정도의 떠오름이 있네요.

    그동안 고객님들의 사이트들을 업데이트 해드리면서 느꼈던 한 부분을 적어보았습니다 :)

  • profile profile

    DB prefix 때문에 문제가 발생하는 서드파티 자료를 수정할 수도 없다면
    아주 깔끔하게 해결하는 방법이 있기는 합니다.

    files/config/config.php에서 prefix를 빈 문자열''로 바꿔버리고,
    실제 DB에서도 테이블 이름을 변경하여 xe_ rx_ 따위의 prefix를 모두 빼버리는 것입니다.
    DB 하나에 라이믹스를 여러 개 설치하여 사용하는 특수한 상황이 아니라면
    굳이 prefix를 사용해야 할 이유는 없으니까요.^^

     

    그냥 documents, comments, member, modules 이런 식으로 테이블명을 해놔도

    설정이 맞기만 하면 아주 잘 돌아갑니다.

  • profile profile
    네 ㅎㅎ 그렇긴한데 그렇게 수정하는 시간이나 이런 부분에서 초보자입장에서는 리스크가 좀 클 것 같은 생각이 들기도 하네요 ㅎㅎ
  • profile profile
    암호화된 모듈을 고치는 것보다는 phpMyAdmin에 들어가서 테이블명 바꾸는 편이 더 쉽죠.
  • profile profile
    그건 맞습니다. 암호화된 코드 디코드 했다고 해서 끝난게 아니니까요 ㅎㅎ 그런데 초보자분들 입장에선 이래저래 다 안되는 그런 상황이라 ㅎㅎ 좀 난감할 수 있을 것 같긴합니다 ㅋㅋㅋ
  • ?

    1.9.9.9 이용중이에요. 다크모드 기능 있는 레이아웃 이용중인데 라이믹스 최신업데이트 하니까 다른건 문제 없없고 다크모드 쪽 css가 적용이 일부 안되서 업데이트 기다리고 있어요 ! 레이아웃 업데이트 되면 바로 넘어갈 예정입니다.

  • ?
    2.0.1에서 이미 알려졌지만 디벨롭에만 적용 된 일부 기능들 때문에 다음버전 나오면 올리려고 생각 중이예요.
    1.9.9.9에서 돌아가던 기능들이 별탈 없이 호환 될 때까진 유지 할듯....
  • profile
    라이믹스 1.9.9.8 사용중이고 투표했습니다. 얼른 2.0 올리고 싶은데 스티커 모듈 때문에 겁나서 올리질 못하겠네요ㅠ
  • profile

    1.9.9.9 이용중입니다. 서드파티 자료 호환 문제가 있는 것 같아 일단 잘 모르다 보니 아직 좀 더 지켜보고 있네요

  • profile
    저는 1.9.9.7입니다. 저도 2.0으로 넘어가고는 싶지만 넘어가는 순간부터 오류들이 뿜어나올거 같고 그걸 제가 스스로 고칠수가 없어서 쉽게 못넘어가고 있습니다. 2.0이 어느정도 안정화가 되고
    서드파티 제품들도 어느정도 호환이 될때쯤에 넘어 갈거 같습니다.
  • profile
    1.9.9.9 사용중입니다. 라이믹스로 넘어온지 이제 갓 2개월을 넘기고 있어 2.0으로 업그레이드는 좀 차후에 해볼 생각입니다.
    아직 https도 적용 못하고 있어서 순서상 뒤로 밀린것 뿐 다른 분들처럼 오류나 버그문제로 업그레이드 하지 못하는 것은 아닙니다.
    저처럼 단순히 시간이나 다른 일들과 겹치거나 필요성을 못느껴서 안하는 분들도 꾀 계실겁니다.